diff --git a/mate-dictionary/docs/source-configuration.txt b/mate-dictionary/docs/source-configuration.txt
index 3b815ca..1cbb0ec 100644
--- a/mate-dictionary/docs/source-configuration.txt
+++ b/mate-dictionary/docs/source-configuration.txt
@@ -6,7 +6,7 @@ Dictionary, and since Gdict makes the addition of such back-ends a possibility,
 we need a way to configure these back-ends.
 
 My plan is to use .desktop files in a standard location, such as
-/usr/share/mate-dictionary and $HOME/.mate2/mate-dictionary.  By dropping a
+/usr/share/mate-dictionary and $HOME/.config/mate/mate-dictionary.  By dropping a
 correctly-formatted .desktop file inside these locations, you can enable a new
 dictionary source inside MATE Dictionary.
 
diff --git a/mate-dictionary/src/gdict-common.c b/mate-dictionary/src/gdict-common.c
index 8f106c1..bdab822 100644
--- a/mate-dictionary/src/gdict-common.c
+++ b/mate-dictionary/src/gdict-common.c
@@ -44,8 +44,8 @@ gdict_get_data_dir (void)
 {
   gchar *retval;
 
-  retval = g_build_filename (g_get_home_dir (),
-		  	     ".mate2",
+  retval = g_build_filename (g_get_user_config_dir (),
+		  	     ".mate",
 			     "mate-dictionary",
 			     NULL);
   
diff --git a/mate-dictionary/src/gdict-source-dialog.c b/mate-dictionary/src/gdict-source-dialog.c
index 2a3014a..b2b974d 100644
--- a/mate-dictionary/src/gdict-source-dialog.c
+++ b/mate-dictionary/src/gdict-source-dialog.c
@@ -346,8 +346,8 @@ build_new_source (GdictSourceDialog *dialog)
     }
       
   name = g_strdup_printf ("%s.desktop", gdict_source_get_name (source));
-  filename = g_build_filename (g_get_home_dir (),
-  			       ".mate2",
+  filename = g_build_filename (g_get_user_config_dir (),
+  			       ".mate",
       			       "mate-dictionary",
       			       name,
       			       NULL);
@@ -439,8 +439,8 @@ save_source (GdictSourceDialog *dialog)
     }
       
   name = g_strdup_printf ("%s.desktop", gdict_source_get_name (source));
-  filename = g_build_filename (g_get_home_dir (),
-      			       ".mate2",
+  filename = g_build_filename (g_get_user_config_dir (),
+      			       ".mate",
 			       "mate-dictionary",
 			       name,
 			       NULL);
